# HereRequestBody

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**_from** | [**AllOfHereRequestBodyFrom**](AllOfHereRequestBodyFrom.md) |  | 
**to** | [**AllOfHereRequestBodyTo**](AllOfHereRequestBodyTo.md) |  | 
**waypoints** | [**list[Location]**](Location.md) |  | [optional] 
**vehicle_type** | [**AllOfHereRequestBodyVehicleType**](AllOfHereRequestBodyVehicleType.md) |  | [optional] 
**departure_time** | [**OneOfHereRequestBodyDepartureTime**](OneOfHereRequestBodyDepartureTime.md) |  | [optional] 
**fuel_price** | **float** |  | [optional] [default to 3]
**fuel_price_currency** | **str** |  | [optional] [default to 'USD']
**fuel_efficiency** | [**AllOfHereRequestBodyFuelEfficiency**](AllOfHereRequestBodyFuelEfficiency.md) |  | [optional] 
**truck** | [**AllOfHereRequestBodyTruck**](AllOfHereRequestBodyTruck.md) | Truck routing only | [optional] 
**driver** | [**AllOfHereRequestBodyDriver**](AllOfHereRequestBodyDriver.md) | Driver wage or Value of Time | [optional] 
**state_mileage** | **bool** |  | [optional] 
**hos** | [**AllOfHereRequestBodyHos**](AllOfHereRequestBodyHos.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

