# swagger_client.RoutePolylineApi

All URIs are relative to *https://dev.tollguru.com*

Method | HTTP request | Description
------------- | ------------- | -------------
[**route_post**](RoutePolylineApi.md#route_post) | **POST** /route | Route polyline (from HERE/ Google map)

# **route_post**
> InlineResponse200 route_post(body=body)

Route polyline (from HERE/ Google map)

The response endpoint retrieves all tolls on the single route requested. You will not receive tolls for alternate routes possible between the origin and destination.

### Example
```python
from __future__ import print_function
import time
import swagger_client
from swagger_client.rest import ApiException
from pprint import pprint

# create an instance of the API class
api_instance = swagger_client.RoutePolylineApi()
body = swagger_client.Body() # Body |  (optional)

try:
    # Route polyline (from HERE/ Google map)
    api_response = api_instance.route_post(body=body)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling RoutePolylineApi->route_post: %s\n" % e)
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **body** | [**Body**](Body.md)|  | [optional] 

### Return type

[**InlineResponse200**](InlineResponse200.md)

### Authorization

No authorization required

### HTTP request headers

 - **Content-Type**: application/json
 - **Accept**: application/json

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

