# Body

## Properties
Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**source** | **str** | Specify route source, either &lt;code&gt;here&lt;/code&gt; for HERE maps routes based polyline or &lt;code&gt;gmaps&lt;/code&gt; for Google Maps polylines | [optional] [default to 'here']
**polyline** | **str** | Specify route as Google Maps encoded polyline (&lt;a href&#x3D;\&quot;https://developers.google.com/maps/documentation/utilities/polylinealgorithm\&quot; target&#x3D;\&quot;_blank\&quot;&gt;see details&lt;/a&gt;) | [optional] 
**path** | **str** | Specify route as a set of comma-separated &lt;strong&gt;&lt;code&gt;lat,lng&lt;/code&gt;&lt;/strong&gt; coordinates delimited by a pipe character (|) | [optional] 
**vehicle_type** | [**VehicleType**](VehicleType.md) |  | [optional] 
**departure_time** | [**Object**](Object.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

